namespace PkmnLibSharp.Battling.ChoiceTurn
{
    public class SwitchTurnChoice : BaseTurnChoice
    {
        public SwitchTurnChoice(Pokemon user, Pokemon newPokemon) : base(
            Creaturelib.Generated.SwitchTurnChoice.Construct(user.Ptr, newPokemon.Ptr))
        {
        }

        protected override void DeletePtr()
        {
            Creaturelib.Generated.SwitchTurnChoice.Destruct(Ptr);
        }
    }
}